Bug 996222 - Review Request: ProDy - Application for protein structure, dynamics and sequence analysis
Review Request: ProDy - Application for protein structure, dynamics and seque...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 13:18 EDT by Antonio Trande
Modified: 2014-06-24 18:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: ProDy-1.4.6-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dtardon: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-08-12 13:18:24 EDT
Spec URL: http://sagitter.fedorapeople.org/ProDy/prody.spec
SRPM URL: http://sagitter.fedorapeople.org/ProDy/ProDy-1.4.4-2.fc19.src.rpm

Description: ProDy is a free and open-source Python package for protein structure, dynamics,and sequence analysis.  It allows for comparative analysis and modeling of protein structural dynamics and sequence co-evolution.  Fast and flexible ProDy API is for interactive usage as well as application development.  ProDy also  comes with several analysis applications and a graphical user interface for visual analysis. 
- Visit http://www.csb.pitt.edu/ProDy/ -

Fedora Account System Username: sagitter
Comment 1 Christopher Meng 2013-08-12 20:04:46 EDT
Why manpages are only for Fedora?
Comment 2 Antonio Trande 2013-08-13 09:54:33 EDT
Hi Christopher.

(In reply to Christopher Meng from comment #1)
> Why manpages are only for Fedora?

Because for an unknown reason, help2man in RHEL6 repos doesn't work.  
Try you by compiling ProDy in epel6 and permitting manpages creation in the .spec file, you'll note something like that:

"help2man can't get '--help' from .../prody "
Comment 3 Antonio Trande 2013-08-25 09:50:14 EDT
(In reply to Antonio Trande from comment #2)
> Hi Christopher.
> 
> (In reply to Christopher Meng from comment #1)
> > Why manpages are only for Fedora?
> 
> Because for an unknown reason, help2man in RHEL6 repos doesn't work.  
> Try you by compiling ProDy in epel6 and permitting manpages creation in the
> .spec file, you'll note something like that:
> 
> "help2man can't get '--help' from .../prody "

This problem is present since (quoting mail from maintainer) "help2man expects the output of --help and --version to be output to stdout rather than stderr".
...
"You may override this behaviour with --no-discard-stderr, or you can change the program to emit help/version output to stdout rather than stderr."

But help2man-1.36.4 in CentOS6 repository doesn't provide '--no-discard-stderr' option yet, unlike help2man-1.41 in Fedora.

So we can remove manpage creation completely or do it just for Fedora.
Comment 4 Antonio Trande 2013-08-29 17:26:21 EDT
@Christopher

Are you need of something else for review ?
Comment 5 Christopher Meng 2013-08-30 00:50:37 EDT
Nothing...

I'm busy now, sorry, reset.
Comment 6 David Tardon 2013-09-14 08:06:19 EDT
This project bundles several other projects:

1. NMWiz: it seems to be living at http://code.google.com/p/nmwiz/, but there is no source code there and the download link is dead, so I do not object to it being bundled. But it has a different license (NCSA/University of Illinois), which must be mentioned in the License field (there should be a comment clarifying to which file(s) it applies).

2. pyparsing: is already packaged in Fedora (as pyparsing) => should be unbundled.

3. biopython: is already packaged in Fedora (as python-biopython) => should be unbundled.

4. argparse: is a part of python >= 2.7 => should be unbundled (and dependency on python-argparse added for epel6. Or everywhere, to keep it simple. There is a provide for it in Fedora as well...).
Comment 7 Antonio Trande 2013-09-16 12:52:11 EDT
(In reply to David Tardon from comment #6)
> This project bundles several other projects:
> 
> 1. NMWiz: it seems to be living at http://code.google.com/p/nmwiz/, but
> there is no source code there and the download link is dead, so I do not
> object to it being bundled. But it has a different license (NCSA/University
> of Illinois), which must be mentioned in the License field (there should be
> a comment clarifying to which file(s) it applies).
> 
> 2. pyparsing: is already packaged in Fedora (as pyparsing) => should be
> unbundled.
> 
> 3. biopython: is already packaged in Fedora (as python-biopython) => should
> be unbundled.
> 
> 4. argparse: is a part of python >= 2.7 => should be unbundled (and
> dependency on python-argparse added for epel6. Or everywhere, to keep it
> simple. There is a provide for it in Fedora as well...).

I had completely ignored them.
Let me find best solution for this issue.
Comment 8 Antonio Trande 2013-10-17 13:17:36 EDT
Spec URL: http://sagitter.fedorapeople.org/ProDy/prody.spec
SRPM URL: http://sagitter.fedorapeople.org/ProDy/ProDy-1.4.6-1.fc19.src.rpm

- Update to 1.4.6
- Bundled files are now removed
- Added python-argparse for EPEL

Koji build in rawhide: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=6071079

Koji build in epel6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6071226
Comment 9 David Tardon 2013-10-23 14:40:27 EDT
Nitpicks:
- use of %{__python} is deprecated. You should use %{__python2} instead.
- %{dist} in Release should be %{?dist}

I see no problems otherwise. I will post the complete review in a few moments.
Comment 10 David Tardon 2013-10-23 14:42:08 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: prody.spec should be ProDy.spec
  See: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name


===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "MIT/X11 (BSD like)", "GPL (v3 or
     later)", "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in
     /home/dtardon/work/rpm/996222-prody/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Dist tag is present.
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/dtardon/work/rpm/996222-prody/srpm-
     unpacked/prody.spec
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ProDy-1.4.6-1.fc18.x86_64.rpm
ProDy.x86_64: E: explicit-lib-dependency python-matplotlib
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/msaio.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/proteins/cpairwise2.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/kdtree/_CKDTree.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/seqtools.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/msatools.so 0775L
ProDy.x86_64: W: no-manual-page-for-binary prody
ProDy.x86_64: W: no-manual-page-for-binary evol
1 packages and 0 specfiles checked; 6 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ProDy
ProDy.x86_64: E: explicit-lib-dependency python-matplotlib
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/msaio.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/proteins/cpairwise2.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/kdtree/_CKDTree.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/seqtools.so 0775L
ProDy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/prody/sequence/msatools.so 0775L
ProDy.x86_64: W: no-manual-page-for-binary prody
ProDy.x86_64: W: no-manual-page-for-binary evol
1 packages and 0 specfiles checked; 6 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ProDy (rpmlib, GLIBC filtered):
    /usr/bin/python
    pyparsing
    python(abi)
    python-biopython
    python-ipython
    python-matplotlib
    scipy



Provides
--------
ProDy:
    ProDy
    ProDy(x86-64)



Unversioned so-files
--------------------
ProDy: /usr/lib64/python2.7/site-packages/prody/kdtree/_CKDTree.so
ProDy: /usr/lib64/python2.7/site-packages/prody/proteins/cpairwise2.so
ProDy: /usr/lib64/python2.7/site-packages/prody/sequence/msaio.so
ProDy: /usr/lib64/python2.7/site-packages/prody/sequence/msatools.so
ProDy: /usr/lib64/python2.7/site-packages/prody/sequence/seqtools.so

Source checksums
----------------
http://pypi.python.org/packages/source/P/ProDy/ProDy-1.4.6.tar.gz :
  CHECKSUM(SHA256) this package     : 0294142e3dfcc28aeeebe16e5391e3a69acbf60760c73ce65744ceafd5eb4e74
  CHECKSUM(SHA256) upstream package : 0294142e3dfcc28aeeebe16e5391e3a69acbf60760c73ce65744ceafd5eb4e74


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 996222
Comment 11 Antonio Trande 2013-10-23 16:54:39 EDT
Spec URL: http://sagitter.fedorapeople.org/ProDy/ProDy.spec
SRPM URL: http://sagitter.fedorapeople.org/ProDy/ProDy-1.4.6-1.fc19.src.rpm

Spec file renamed.
Thank you, David.
Comment 12 Antonio Trande 2013-10-23 17:00:19 EDT
New Package SCM Request
=======================
Package Name: ProDy
Short Description: Application for protein structure, dynamics and sequence analysis
Owners: sagitter
Branches: f19 f20 el6
Comment 13 Gwyn Ciesla 2013-10-24 07:57:55 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-10-24 14:48:40 EDT
ProDy-1.4.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ProDy-1.4.6-2.fc20
Comment 15 Fedora Update System 2013-10-24 14:48:51 EDT
ProDy-1.4.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ProDy-1.4.6-2.el6
Comment 16 Fedora Update System 2013-10-24 14:49:00 EDT
ProDy-1.4.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ProDy-1.4.6-2.fc19
Comment 17 Fedora Update System 2013-10-25 13:41:07 EDT
ProDy-1.4.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 18 Fedora Update System 2013-11-03 00:31:16 EDT
ProDy-1.4.6-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-11-10 03:14:29 EST
ProDy-1.4.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.